Fòrum Àgora-MOODLE

ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per M Pilar Ferreiro -
Nombre de respostes: 34

Hola necessito ajuda urgent,

Avui al entrar al Moodle ha demanat actualització a la versió 1.9.5, però en mig del procés ha donat error i ha entrat en una mena de bucle i encara que li digui "Continuar" torna sempre al mateix punt. 

A sota veureu el missatge que surt.

AJUDA URGENT si us plau.  Estic justament preparant uns materials que necessito treballar amb els profes a començament de setembre!!  Sempre fallen les coses en el moment "oportú"!! 

Moltes gràcies

M Pilar Ferreiro

 

Fitxer adjunt error_moodle.jpg
En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Escola Marta Mata -
A nosaltres ens passa el mateix. Li he estat donant algunes voltes al tema però no hi ha manera de que passi d'aquest punt.

Una opció que he trobat per seguir 'treballant' és accedir a una direcció diferent de la principal.

Habitualment la direcció a la que et redirecciona és:
http://agora.xtec.cat/cfaescola____/moodle/admin/index.php

Si canvies a qualsevol altra direcció podràs saltar-te aquest problema.

Per exemple, pots entrar a:
http://agora.xtec.cat/cfaescola___/moodle/files/index.php?id=1

Així podràs veure les opcions habituals i seguir gestionant tot allò que necessitis.

Espero que et servixi temporalment aquesta solució mentre esperem a que solucionin el problema.

Salutacions.

Albert Fabregat.

En resposta a Escola Marta Mata

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per M Pilar Ferreiro -

Hola Albert,

Gràcies per la teva prompta resposta!  Ho he provat i funciona... sembla que podré continuar preparant el curs.   Espero que aquest error no afecti a les coses noves que faci ara i que ho enregistri tot bé.   Es un truquet temporal mentre, esperem,  els més entesos veuen com arreglar el problema.

Moltes gràcies de nou.

M Pilar Ferreiro

En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Escola Marta Mata -
Em fa l'efecte que tot s'enregistra correctament ja que he estat fent alguna prova i tot sembla estar OK.
Tanmateix, esperem que l'equip tècnic de suport a agora ens doni una solució el més aviat possible.

Salutacions

Albert.
En resposta a Escola Marta Mata

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Ramon Granyó -
Hola,

a mi també em dóna el mateix problema.

La solució que proposes és senzillament que en engegar el moodle es redireccioni a aquesta adreça i ja està.

Abans, però, per sortir del procés, es tanca el moodle i prou.

Gràcies,


En resposta a Escola Marta Mata

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per M Pilar Ferreiro -

Hola a tots,

He estat treballant a Moodle, anant directament a una altra pàgina per poder entrar  ja que ha donat error en l'actualització a la nova versió.  El problema és que no funcionen els editors de html,  només pots veure l'script html però no les icones ni el text visible sense el codi.  Això fa molt difícil treballar-hi.  Espero que aviat el puguin solucionar. 

Salutacions

M Pilar Ferreiro

En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Montserrat Cuní Subirats -

Sóc Montserrat Cuní i em trobo amb el mateix problema a l'hora d'actualitzar el moodle de l'Escola.  Espero que es pugui solucionar aviat, ja que engrescar a principi de curs és un bon moment per engrescar als mestres, ja que tornem amb les piles carregades.

Atentament,

Montserrat Cuní

En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per TERESA TORNÉ TOMÀS -
Hola, jo també necessito ajuda. Em passa exactament el mateix... arriba un punt en què clicar al botó "continua" sembla no tenir fi. Esperem que solucionin aquest incident aviat!

Teresa Torné
CEIP Gual Villalbí
TARRAGONA
En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per FRANCESC NEBOT -

Hola !

A mi em passa més o menys el mateix, i em surt:

This script generated 3 warnings - Scroll to the first warning

Utilitat d'importació d'idiomes: ca_utf8 ...

S'està actualitzant la base de dades de Moodle de la versió 1.8.9 (Build: 20090515) (2007101508.07) a 1.9.5 (Build: 20090515) (2007101550)...


(oci8po): UPDATE mlrole_names SET name = text  


904: ORA-00904: "TEXT": invalid identifier

           
Scroll to previous warningUpgrade savepoint: Error during main upgrade to version 2007101508.08Scroll to next warning
Scroll to previous warningMain Upgrade failed! See lib/db/upgrade.phpScroll to continue button
Haurem de fer una consulta al SAU o si algú coneix com seguir endavant amb l'actualització, quedarem molt agraïts
En resposta a FRANCESC NEBOT

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Sara Arjona Téllez (Moodle HQ) -
Holooo a tots!

Per tal de poder-vos ajudar necessitem que, tots aquells de vosaltres que heu trobat alguna errada en fer l'actualització ens faciliteu el URL del vostre espai Moodle a l'Àgora, sempre i quan no hagueu enviat ja una incidència al SAU (ja que en aquest cas ja la tenim).

Gràcies Albert pel teu "truc" ja que, de moment, permetrà a tothom treballar de forma habitual. De totes formes, estem treballant per solucionar els problemes que van apareixent el més aviat possible.

Bezos, abrasos i gràcies per la paciència!

Sara
En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR A L' ACTUALITZAR A NOVA VERSIÓ !!

per Ramon Granyó -
Hola Sara!

Sóc el Ramon Granyó del COl·legi Lestonnac de LLeida i la nostra URL és: http://agora.xtec.cat/col-lestonnaclleida/moodle/

Gràcies,

En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per M Pilar Ferreiro -

Hola Sara,

Quan he vist el teu correu, m'he dit... que bé... " ya están en ello".  Aquestes situacions donen molta inseguretat als que hem de fer tasques d'administració Moodle sense suficient formació per fer-ho!!

En la crisis inicial vaig enviar incidència al SAU.  De totes maneres l'adreça del nostre centre és http://agora.xtec.cat/eoibdrassanes/moodle.  Així les tens totes juntes.

Per cert, hi haurà algun curs o material per formar-se com a administrador Moodle?  Encara que molta feina la feu des d'Agora,  no tenim suficient formació sobre les possibilitats de Moodle des del perfil d'administració. Oh pot-ser ja existeix i jo no ho se.

Gràcies per tot.

M Pilar Ferreiro

En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Sara Arjona Téllez (Moodle HQ) -
Holooo M. Pilar!

Moltíssimes gràcies per fer-nos arribar l'adreça del teu centre (tot i que com comentaves ja ens l'havia enviat també el SAU). Estem treballant per solucionar el més aviat possible els problemes causats per l'actualització.

Sobre el que comentes del curs o material per formar-se com administrador Moodle la resposta és que, per una banda, s'està treballant en un llibre que, si tot va bé, veurà la llum durant el mes de setembre. La finalitat d'aquest material és orientar els centres educatius en la construcció i utilització d'aquest àmbit de comunicació, informació i ensenyament-­aprenentatge que són les aules virtuals basades en la plataforma educativa Moodle, i ho vol fer tot adreçant-­se a dos col∙lectius: d'una banda equips de direcció i coordinació, que podran copsar les potencialitats com a portal educatiu del centre, així com els requeriments tècnics i de manteniment; de l'altra, professorat, que veurà el potencial didàctic de les aules virtuals com a complement al treball de l'aula presencial.

A més, també teniu l'oportunitat d'apuntar-vos ara al setembre a un curs telemàtic d'unes 60 hores sobre l'Ús de Moodle (el material del qual està inclòs al DVD de Formació d'enguany i també es pot consultar des d'aquest enllaç).

Bezos, abrasos i fins aviat!

Sara




En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Jordi Clavell -
Hola, Sara;

A nosaltres també ens passa el mateix.
http://agora.xtec.cat/escola-elbrot/moodle

Salut,

Jordi
Escola El Brot
En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Antonio Bedmar -
Hola!

Jo estic igual: l'actualització entra a un bucle del que no puc sortir.
El problema és que NECESSITO el moodle operatiu al setembre: m'he passat l'estiu preparant un curset pels profes del meu institut...
la nostra URL http://agora.xtec.cat/iesbellulla/moodle
l'error que dóna:
Scroll to previous warningUpgrade savepoint: Error during main upgrade to version 2007101512Scroll to next warning
Scroll to previous warningMain Upgrade failed! See lib/db/upgrade.phpScroll to continue button

Gràcies per l'ajuda...

Toni Bedmar, IES Bellulla de Canovelles
En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per César Porcel Richart -
Hola Sara;

Sóc César Porcel de l'IES Joan Guinjoan (Riudoms). Tinc problemes per actualizar el moodle a la versió 1.9.5 Surt això:

1408: ORA-01408: such column list already indexed
      
Scroll to previous warningUpgrade savepoint: Error during main upgrade to version 2007101512Scroll to next warning
Scroll to previous warningMain Upgrade failed! See lib/db/upgrade.phpScroll to continue button



No sé que fer... Gràcies per l'ajuda!!

En resposta a FRANCESC NEBOT

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Ramon M Bergadà Marimon -

Hola,

A  l'IES Terres de Ponent (http://agora.xtec.cat/iesterresdeponent/moodle) ens passa el mateix, no podem passar d'aquí:

error_agora.jpg
De agora
Gràcies.
En resposta a Ramon M Bergadà Marimon

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per smorera2 Morera Fugardo -
Bon dia,
a nosaltres també ens dóna error:
1408: ORA-01408: such column list already indexed
 
 
 
 

Scroll to previous warningUpgrade savepoint: Error during main upgrade to version 2007101512Scroll to next warning
Scroll to previous warningMain Upgrade failed! See lib/db/upgrade.phpScroll to continue button
La nostra url és: http://agora.xtec.cat/eoibanyoles/moodle/
Gràcies, cordialment,
Sílvia
En resposta a smorera2 Morera Fugardo

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Jordi Busquets -

Bon dia,

Tenim el mayeix error en actualitzar la nova versió, la nostra url és:

http://agora.xtec/iesventuragassol/moodle

Gràcies,

Jordi.

En resposta a Jordi Busquets

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per DANIEL FERNANDEZ GARCIA -
En resposta a DANIEL FERNANDEZ GARCIA

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Sara Arjona Téllez (Moodle HQ) -
Holooo a tots!!

En primer lloc disculpar-nos per les errades que està produint aquesta actualització... Estem treballant per solucionar-ho el més aviat possible i, per tant, us demanem una mica de comprensió i paciència.

Sobre la notificació d'errades, de moment, us demanem que si l'error que us apareix quan intenteu actualitzar és el següent:
1408: ORA-01408: such column list already indexed
      

NO cal que ens envieu res al fòrum (ni l'enllaç ni res), ja que, en principi, quan donem amb la solució per un dels centres la resta automàticament també quedaran solucionats. D'aquesta forma ens serà més fàcil gestionar les incidències i podrem dedicar més esforços a localitzar i solucionar l'error.

En canvi, si l'error que us apareix és un altre us demanem que sí que ens envieu a aquest mateix fòrum tant l'adreça del vostre espai Moodle d'Àgora com l'error que us dóna.

Aprofito per recordar-vos el consell que ens ha donat l'Albert en aquest mateix fòrum una mica més amunt i que ens permet treballar amb normalitat amb els espais Moodle que els ha fallat l'actualització:

En accedir al Moodle automàticament es fa una redirecció a una adreça de l'estil:

http://agora.xtec.cat/xxxxxxxxx/moodle/admin/index.php


Per tal de poder accedir als cursos sense problemes el que es pot fer és escriure a la barra de navegació aquesta altra adreça:

http://agora.xtec.cat/xxxxxxxxx/moodle/files/index.php?id=1


Mil gràcies per la comprensió i, de nou, accepteu les disculpes pels problemes que aquestes incidències us puguin ocasionar.

Bezos, abrasos i fins aviat!

Sara

En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per FRANCESC NEBOT -

Hola Sara !

Gràcies a vosaltres, que amb aquesta iniciativa de l'àgora ens faciliteu molt les coses malgrat els problemes tècnics. He intentat enviar un missatge amb el formulari del SAU i m'ha "petat" en l'últim moment i no sé si us ha arribat, per això et passo les dades:

ESCOLA BON PASTOR

http://agora.xtec.cat/esc-bonpastor/moodle

Francesc Nebot   fnebot@xtec.cat

Missatges d'errada rebuts:

This script generated 3 warnings - Scroll to the first warning

Utilitat d'importació d'idiomes: ca_utf8 ...

S'està actualitzant la base de dades de Moodle de la versió 1.8.9 (Build: 20090515) (2007101508.07) a 1.9.5 (Build: 20090515) (2007101550)...


(oci8po): UPDATE mlrole_names SET name = text  


904: ORA-00904: "TEXT": invalid identifier

           
Scroll to previous warningUpgrade savepoint: Error during main upgrade to version 2007101508.08Scroll to next warning
Scroll to previous warningMain Upgrade failed! See lib/db/upgrade.phpScroll to continue button

En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per DANIEL FERNANDEZ GARCIA -
Bones, en un missatge anterior ja m'he referit als problemes que tenim amb l'actualització de versió. Però tot just ara acabo de comprovar que tampoc em funciona l'editor html. Així que afegeixo la dada.

http://agora.xtec.cat/iesalcarras/moodle

Anims a tots els tècnics que esteu al darrere de tot això!
En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Ismael Marcén -
Hola
No és que doni cap error, és que al posar la url per actualitzar, per començar no m'ha fet clicar en el primer "YES" i ha començat a fer coses.
Ha arribat un moment que s'ha parat:
No warnings - Scroll to the continue button
quiz module needs upgrading
(oci8po): SELECT id FROM mlquestion_numerical_units WHERE id > (SELECT MIN(iqnu.id) FROM mlquestion_numerical_units iqnu WHERE iqnu.question = mlquestion_numerical_units.question AND iqnu.unit = mlquestion_numerical_units.unit) (oci8po): select lower(cname),coltype,width, SCALE, PRECISION, NULLS, DEFAULTVAL from col where tname='MLQUIZ' order by colno (oci8po): SELECT timelimit FROM mlquiz WHERE 1=2 (oci8po): ALTER TABLE mlquiz MODIFY (timelimit DEFAULT 0)
Success
Pero a sota no hi cap boto per continuar, ja fa més d'una hora.
Ara no se si tinc la versió antiga, la nova o una barreja, perquè no m'ha sortit cap pantalla per desar.
Per cert no he pogut enviar aquesta incidencia al SAU, em diu:
Forbbiden

You don't have permission to access /moodle/moodle/mod/questionnaire/view.php on this server.

La nostra URL http://agora.xtec.cat/iesvallvera/moodle

Gràcies


Ep!!!!!!!

Despres d'enviar aques missatge he tronat a provat, des del principi i encara que no m'ha demanat el YES, HA FUNCIONAT

Sort

En resposta a DANIEL FERNANDEZ GARCIA

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Eduard Carrillo i Valdívia -

Bon dia,

he intentat també fer l'actualització i m'he trobat que tampoc puc completar-la ja que arribo a la següent pàgina sense poder continuar:

No warnings - Scroll to the continue button

Utilitat d'importació d'idiomes: ca_utf8 ...

S'està actualitzant la base de dades de Moodle de la versió 1.8.9 (Build: 20090515) (2007101546.02) a 1.9.5 (Build: 20090515) (2007101550)...


(oci8po): SELECT DISTINCT u.id FROM mluser u JOIN mlmessage m ON m.useridfrom = u.id WHERE u.deleted = 1  

(oci8po): SELECT * FROM mlmessage WHERE useridfrom = 4781 ORDER BY timecreated  

(oci8po): SELECT * FROM mlmessage_read WHERE id = '-1'  

(oci8po): select lower(cname),coltype,width, SCALE, PRECISION, NULLS, DEFAULTVAL from col where tname='MLMESSAGE_READ' order by colno  

(oci8po): SELECT (mlmessread_id_seq.nextval) FROM DUAL  

(oci8po): INSERT INTO mlmessage_read ( ID, USERIDFROM, USERIDTO, MESSAGE, FORMAT, TIMECREATED, TIMEREAD, MESSAGETYPE ) VALUES ( 3404, 4781, 103, empty_clob(), 0, 1244667680, 0, 'direct' )  

(oci8po): UPDATE mlmessage_read set message=EMPTY_CLOB() WHERE id=3404 RETURNING message INTO ?   [ (blob=>'Array') ]
name=:blob
He entrat també amb la amb l'adreça que heu dit, però no és possible entrar a cap curs.
L'adreça del nostre espai virtual és : http://agora.xtec.cat/cfasantaeulalia/moodle/admin/index.php
Espero saber que puc fer. MOLTES GRÀCIES
Eduard Carrillo
En resposta a Eduard Carrillo i Valdívia

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Sara Arjona Téllez (Moodle HQ) -
Holoooo!

En primer lloc gràcies a tots per la informació que ens heu facilitat i per la paciència. Ja s'han començat a solucionar alguns dels problemes que ens heu fet arribar i, per tant, si us fallava us preguem que ho torneu a provar per comprovar si ja s'ha resolt el problema. Tot i així, encara hi ha algunes actualitzacions que fallen i que estem revisant per solucionar el més aviat possible.

Recordeu que és molt important que, abans d'actualitzar res (en cas que us ho demani ja que, en principi, per a la majoria de centres aquesta actualització ha estat automàtica) és molt recomanable que llegiu amb atenció aquesta pregunta freqüent per tal de garantir que tot anirà bé.

Us recordem una vegada més que, tot i que l'actualització falli, podeu accedir amb normalitat al vostre espai Moodle si, un cop dins, escriviu una adreça de l'estil: http://agora.xtec.cat/xxxxxx/moodle/files/index.php?id=1

Bezos, abrasos i bona tornada!!!

Sara
En resposta a Sara Arjona Téllez (Moodle HQ)

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Pedro López -
La tornada s'està posant una mica antipàtica per als que hem de tenir les coses a punt el dia 1 de setembre i comproves que el que estava bé al juliol va malament en el moment de començar el curs. En fi, confiem que al final tot funcionarà

El nostre moodle també té el mateix problema aquell ja comentat i apuntat en aquest forum:
.........................
1408: ORA-01408: such column list already indexed
 
 
 
 

Scroll to previous warningUpgrade savepoint: Error during main upgrade to version 2007101512Scroll to next warning
Scroll to previous warningMain Upgrade failed! See lib/db/upgrade.phpScroll to continue button
.........................
L'adreça del nostre moodle és la següent

http://agora.xtec.cat/iespaucasals-badalona/moodle


De totes formes moltes gracies pels vostres esforços

En resposta a Pedro López

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per Josep Maria Viñolas Auquer -
Hola a tots,

Al moodle de l'IES Escola del treball de Barcelona tenim el mateix problema:

____________________________________________
1408: ORA-01408: such column list already indexed

ADOConnection._Execute(CREATE INDEX mluser_idn2_ix ON mluser (idnumber), false) % line 775, file: adodb-oci8.inc.php
ADODB_oci8.Execute(CREATE INDEX mluser_idn2_ix ON mluser (idnumber)) % line 89, file: dmllib.php
execute_sql(CREATE INDEX mluser_idn2_ix ON mluser (idnumber), true) % line 2298, file: dmllib.php
execute_sql_arr(Array[1], true, true) % line 1458, file: ddllib.php
add_index(Object:XMLDBTable, Object:XMLDBIndex) % line 3016, file: upgrade.php
_____________________________________________

Salutacions.
En resposta a M Pilar Ferreiro

Re: ERROR AL ACTUALITZAR A NOVA VERSIÓ !!

per carles fornas -
Bon dia a tothom!
el dijous, "3 gener 2013, 16:45" vaig rebre una notificació per correu fent-me saber "l'actualització dels Moodles 2.3.2 d'Àgora a la versió 2.4" En aquesta actualització d'informa de:

"Configuració de l'editor HTML. La versió nova permet definir des de Connectors | Editors de text | Editor HTML TinyMCE | General settings quins connectors de l'editor HTML s'han d'activar, la llista d'icones que ha de contenir i l'ordre en que s'han de mostrar."

Amb el login d'administrador vaig activar l'actualització del moodle i tot va anar (en un principi) correctament, però he observat que ha desaparegut l'editor HTML. Pel que he llegit sembla un problema reincident. He fet tota mena de comprovacions: diferents ordinadors, navegadors, usuaris i no hi ha manera!

Esperant notícies vostres
Carles Fornas
Escola Pia Balmes
http://agora.xtec.cat/escpiabalmes/moodle/